QJournalProtocolProtos.JournalRequestProto.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: JournalRequestProto, class: Builder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.JournalRequestProto.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.JournalRequestProto.Builder

All Implemented Interfaces:
  `Cloneable`, `QJournalProtocolProtos.JournalRequestProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos.JournalRequestProto

public static final class QJournalProtocolProtos.JournalRequestProto.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder> implements QJournalProtocolProtos.JournalRequestProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.JournalRequestProto`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.JournalRequestProto`
  `build()`
  `QJournalProtocolProtos.JournalRequestProto`
  `buildPartial()`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clear()`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearFirstTxnId()`
  `required uint64 firstTxnId = 2;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearNameServiceId()`
  `optional string nameServiceId = 6;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearNumTxns()`
  `required uint32 numTxns = 3;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearRecords()`
  `required bytes records = 4;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clearSegmentTxnId()`
  `required uint64 segmentTxnId = 5;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `clone()`
  `QJournalProtocolProtos.JournalRequestProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getFirstTxnId()`
  `required uint64 firstTxnId = 2;`
  `String`
  `getNameServiceId()`
  `optional string nameServiceId = 6;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getNameServiceIdBytes()`
  `optional string nameServiceId = 6;`
  `int`
  `getNumTxns()`
  `required uint32 numTxns = 3;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getRecords()`
  `required bytes records = 4;`
  `QJournalProtocolProtos.RequestInfoProto`
  `getReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProto.Builder`
  `getReqInfoBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProtoOrBuilder`
  `getReqInfoOrBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `long`
  `getSegmentTxnId()`
  `required uint64 segmentTxnId = 5;`
  `boolean`
  `hasFirstTxnId()`
  `required uint64 firstTxnId = 2;`
  `boolean`
  `hasNameServiceId()`
  `optional string nameServiceId = 6;`
  `boolean`
  `hasNumTxns()`
  `required uint32 numTxns = 3;`
  `boolean`
  `hasRecords()`
  `required bytes records = 4;`
  `boolean`
  `hasReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `boolean`
  `hasSegmentTxnId()`
  `required uint64 segmentTxnId = 5;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `mergeFrom(QJournalProtocolProtos.JournalRequestProto other)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `mergeReqInfo(QJournalProtocolProtos.RequestInfoProto value)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `final QJournalProtocolProtos.JournalRequestProto.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setFirstTxnId(long value)`
  `required uint64 firstTxnId = 2;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setNameServiceId(String value)`
  `optional string nameServiceId = 6;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setNameServiceIdBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional string nameServiceId = 6;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setNumTxns(int value)`
  `required uint32 numTxns = 3;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setRecords(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `required bytes records = 4;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setReqInfo(QJournalProtocolProtos.RequestInfoProto value)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setReqInfo(QJournalProtocolProtos.RequestInfoProto.Builder builderForValue)`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.JournalRequestProto.Builder`
  `setSegmentTxnId(long value)`
  `required uint64 segmentTxnId = 5;`
  `final QJournalProtocolProtos.JournalRequestProto.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### clear

    public QJournalProtocolProtos.JournalRequestProto.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.JournalRequestProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public QJournalProtocolProtos.JournalRequestProto build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public QJournalProtocolProtos.JournalRequestProto buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public QJournalProtocolProtos.JournalRequestProto.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### setField

    public QJournalProtocolProtos.JournalRequestProto.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### clearField

    public QJournalProtocolProtos.JournalRequestProto.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### clearOneof

    public QJournalProtocolProtos.JournalRequestProto.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### setRepeatedField

    public QJournalProtocolProtos.JournalRequestProto.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### addRepeatedField

    public QJournalProtocolProtos.JournalRequestProto.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.JournalRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.JournalRequestProto.Builder mergeFrom(QJournalProtocolProtos.JournalRequestProto other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### mergeFrom

    public QJournalProtocolProtos.JournalRequestProto.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`
    Throws:
      `IOException`

  - ### hasReqInfo

    public boolean hasReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `hasReqInfo` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the reqInfo field is set.

  - ### getReqInfo

    public QJournalProtocolProtos.RequestInfoProto getReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `getReqInfo` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The reqInfo.

  - ### setReqInfo

    public QJournalProtocolProtos.JournalRequestProto.Builder setReqInfo(QJournalProtocolProtos.RequestInfoProto value)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### setReqInfo

    public QJournalProtocolProtos.JournalRequestProto.Builder setReqInfo(QJournalProtocolProtos.RequestInfoProto.Builder builderForValue)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### mergeReqInfo

    public QJournalProtocolProtos.JournalRequestProto.Builder mergeReqInfo(QJournalProtocolProtos.RequestInfoProto value)
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### clearReqInfo

    public QJournalProtocolProtos.JournalRequestProto.Builder clearReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### getReqInfoBuilder

    public QJournalProtocolProtos.RequestInfoProto.Builder getReqInfoBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### getReqInfoOrBuilder

    public QJournalProtocolProtos.RequestInfoProtoOrBuilder getReqInfoOrBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Specified by:
      `getReqInfoOrBuilder` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`

  - ### hasFirstTxnId

    public boolean hasFirstTxnId()
    `required uint64 firstTxnId = 2;`
    Specified by:
      `hasFirstTxnId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the firstTxnId field is set.

  - ### getFirstTxnId

    public long getFirstTxnId()
    `required uint64 firstTxnId = 2;`
    Specified by:
      `getFirstTxnId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The firstTxnId.

  - ### setFirstTxnId

    public QJournalProtocolProtos.JournalRequestProto.Builder setFirstTxnId(long value)
    `required uint64 firstTxnId = 2;`
    Parameters:
      `value` - The firstTxnId to set.
    Returns:
      This builder for chaining.

  - ### clearFirstTxnId

    public QJournalProtocolProtos.JournalRequestProto.Builder clearFirstTxnId()
    `required uint64 firstTxnId = 2;`
    Returns:
      This builder for chaining.

  - ### hasNumTxns

    public boolean hasNumTxns()
    `required uint32 numTxns = 3;`
    Specified by:
      `hasNumTxns` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the numTxns field is set.

  - ### getNumTxns

    public int getNumTxns()
    `required uint32 numTxns = 3;`
    Specified by:
      `getNumTxns` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The numTxns.

  - ### setNumTxns

    public QJournalProtocolProtos.JournalRequestProto.Builder setNumTxns(int value)
    `required uint32 numTxns = 3;`
    Parameters:
      `value` - The numTxns to set.
    Returns:
      This builder for chaining.

  - ### clearNumTxns

    public QJournalProtocolProtos.JournalRequestProto.Builder clearNumTxns()
    `required uint32 numTxns = 3;`
    Returns:
      This builder for chaining.

  - ### hasRecords

    public boolean hasRecords()
    `required bytes records = 4;`
    Specified by:
      `hasRecords` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the records field is set.

  - ### getRecords

    public org.apache.hadoop.thirdparty.protobuf.ByteString getRecords()
    `required bytes records = 4;`
    Specified by:
      `getRecords` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The records.

  - ### setRecords

    public QJournalProtocolProtos.JournalRequestProto.Builder setRecords(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `required bytes records = 4;`
    Parameters:
      `value` - The records to set.
    Returns:
      This builder for chaining.

  - ### clearRecords

    public QJournalProtocolProtos.JournalRequestProto.Builder clearRecords()
    `required bytes records = 4;`
    Returns:
      This builder for chaining.

  - ### hasSegmentTxnId

    public boolean hasSegmentTxnId()
    `required uint64 segmentTxnId = 5;`
    Specified by:
      `hasSegmentTxnId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the segmentTxnId field is set.

  - ### getSegmentTxnId

    public long getSegmentTxnId()
    `required uint64 segmentTxnId = 5;`
    Specified by:
      `getSegmentTxnId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The segmentTxnId.

  - ### setSegmentTxnId

    public QJournalProtocolProtos.JournalRequestProto.Builder setSegmentTxnId(long value)
    `required uint64 segmentTxnId = 5;`
    Parameters:
      `value` - The segmentTxnId to set.
    Returns:
      This builder for chaining.

  - ### clearSegmentTxnId

    public QJournalProtocolProtos.JournalRequestProto.Builder clearSegmentTxnId()
    `required uint64 segmentTxnId = 5;`
    Returns:
      This builder for chaining.

  - ### hasNameServiceId

    public boolean hasNameServiceId()
    `optional string nameServiceId = 6;`
    Specified by:
      `hasNameServiceId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      Whether the nameServiceId field is set.

  - ### getNameServiceId

    public String getNameServiceId()
    `optional string nameServiceId = 6;`
    Specified by:
      `getNameServiceId` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The nameServiceId.

  - ### getNameServiceIdBytes

    public org.apache.hadoop.thirdparty.protobuf.ByteString getNameServiceIdBytes()
    `optional string nameServiceId = 6;`
    Specified by:
      `getNameServiceIdBytes` in interface `QJournalProtocolProtos.JournalRequestProtoOrBuilder`
    Returns:
      The bytes for nameServiceId.

  - ### setNameServiceId

    public QJournalProtocolProtos.JournalRequestProto.Builder setNameServiceId(String value)
    `optional string nameServiceId = 6;`
    Parameters:
      `value` - The nameServiceId to set.
    Returns:
      This builder for chaining.

  - ### clearNameServiceId

    public QJournalProtocolProtos.JournalRequestProto.Builder clearNameServiceId()
    `optional string nameServiceId = 6;`
    Returns:
      This builder for chaining.

  - ### setNameServiceIdBytes

    public QJournalProtocolProtos.JournalRequestProto.Builder setNameServiceIdBytes(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional string nameServiceId = 6;`
    Parameters:
      `value` - The bytes for nameServiceId to set.
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final QJournalProtocolProtos.JournalRequestProto.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`

  - ### mergeUnknownFields

    public final QJournalProtocolProtos.JournalRequestProto.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<QJournalProtocolProtos.JournalRequestProto.Builder>`